.crown-container {
    max-height: 512px;
    @apply w-full flex flex-1 flex-row flex-wrap justify-center overflow-y-auto pt-8;
}

.crown-tile {
    width: 240px;

    @apply relative shadow rounded m-2 p-4 flex flex-col items-center bg-neutral-500 cursor-pointer;
}

.crown-title {
    @apply font-bold text-sm uppercase pt-4 pb-2 text-neutral-300;
}

.crown-image-container {
    @apply relative pt-4 flex justify-center;
}

.crown-amount {
    @apply text-primary-500 font-extrabold text-2xl;
}

.crown-image {
    height: 90px;
}

.crown-cost {
    @apply text-white pt-4;
}

.crown-modal {
    max-height: 800px;
    min-height: 300px;
    z-index: 9999;

    @apply flex flex-col fixed text-center rounded;
}

.crown-shadow {
    height: 25px;

    @apply absolute w-full;
}

.crown-shadow--top {
    top: 0;
    background: linear-gradient(0deg, rgba(33, 44, 61, 0) 0%, #292933 100%);
}

.crown-shadow--bottom {
    bottom: 0;
    background: linear-gradient(180deg, rgba(33, 44, 61, 0) 0%, #292933 100%);
}
